Skip to main content
GET
/
api
/
v3
/
admin
/
promotions
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const promotion = await client.promotions.get('promo_UkLWZg9DAJ')
{
  "id": "promo_UkLWZg9DAJ",
  "name": "Summer Sale",
  "description": null,
  "code": "summer",
  "starts_at": "2026-06-17T13:37:50.866Z",
  "expires_at": null,
  "usage_limit": null,
  "match_policy": "all",
  "path": null,
  "kind": "coupon_code",
  "multi_codes": false,
  "number_of_codes": null,
  "code_prefix": null,
  "promotion_category_id": null,
  "metadata": {},
  "created_at": "2026-06-17T13:37:50.867Z",
  "updated_at": "2026-06-17T13:37:50.868Z",
  "action_ids": [],
  "rule_ids": []
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Response

200 - application/json

promotion found